Description

Supportanfrage:

ADTF 3.0.1

Ein Kunde berichtet von folgendem warning:

'To test the setup I used your "Demo Sample Data Reference Source" and "Demo Qt Video Display" example. When the project is

launched via GUI Control, I get the warning/error "[WARNING]: The last sample is still referenced, cannot update buffer!

[demo_sample_data_reference_source.cpp(87)]".'

Konnte ich soweit reproduzieren, hab' mich auch ein wenig durch den Code gewühlt. Dachte zuerst, dass da das Unlock() vergessen

werde, aber das scheinen ja alles typen zu sein, die beim destructor entsprechend unlocken sollten. Könnt ihr da ein wenig Licht ins

Dunkel bringen, warum dieses sample noch gelockt bleibt?

Best regards - Beste Grüße,

Florian Obermeier

EB Assist ADTF Support-Team

Lösung:

Im Zusammenhang mit dem demo_sample_data_reference_source

// keep in mind that the video display keeps the sample until it receives a new one. So you

// cannot use it to display the images from this source.

kann das Qt Video Display für diesen Anwendungsfall nicht verwendet werden.

Filter dürfen Samples halten, sonst könnte z.B. auf das Qt Media Display nicht gezeichnet werden.

Falls der Kunde das Demo Qt Video Display verwenden möchte muss er dessen Code dementsprechend ändern bzw. muss die/der

Applikation/Streaming Graph dementsprechend darauf abgestimmt sein.

History

#1 - 2017-05-29 14:04 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Support Level changed from 2nd Level to 3rd Level

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3.0.1 added

- Platform Windows 7 64bit added
#2 - 2017-05-29 14:29 - hidden

- Project changed from 7 to Public Support

Hallo Florian,

ich kann den Problemfall des Anwenders nachvollziehen.

Leider handelt es sich aber hierbei um ein konzeptionelles Problem.

Wie schon als Kommentar oberhalb des Warnings im demo_sample_data_reference_source steht

// keep in mind that the video display keeps the sample until it receives a new one. So you

// cannot use it to display the images from this source.

 kann das (unveränderte) Demo Qt Video Display für diesen Anwendungsfall nicht verwendet werden.

Die grundlegende Frage ist ob ein Filter ein Sample halten darf, oder nicht.

Da das Qt Video Display das letzte Sample hält und damit locked, kann dieses vom der sample_data_reference_source nicht überschrieben werden.

(->Speicherverbrauch)

Ich werde das Thema morgen mit in die Projektrunde nehmen und dir dann dementsprechend weitergeben wie damit in Zukunft umgegangen wird.

#3 - 2017-05-29 14:30 - hidden

- Project changed from Public Support to 7

#4 - 2017-05-30 14:38 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Solved Issue

Hallo Florian,

Wie schon als Kommentar oberhalb des Warnings im demo_sample_data_reference_source steht

// keep in mind that the video display keeps the sample until it receives a new one. So you

// cannot use it to display the images from this source.

kann das Qt Video Display für diesen Anwendungsfall nicht verwendet werden.

Die grundlegende Frage ist ob ein Filter ein Sample halten darf, oder nicht.

 Ja, Filter dürfen Samples halten, sonst könnte z.B. auf das Qt Media Display nicht gezeichnet werden.

Da das Qt Video Display das letzte Sample hält und damit locked, kann dieses vom der sample_data_reference_source nicht überschrieben

werden. (->Speicherverbrauch)

 Was genau ist euer bzw. der Usecase des Kunden?

Falls der Kunde das Demo Qt Video Display verwenden möchte muss er dessen Code dementsprechend ändern bzw. muss die/der

Applikation/Streaming Graph dementsprechend darauf abgestimmt sein.

#5 - 2017-06-06 14:07 - hidden

Bitte um Feedback zum Ticketstatus bzw. der Erwartungshaltung.

Zeit für Feedback bis zum Ende der Woche (2017-06-09) eingeräumt.

#6 - 2017-06-12 10:21 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

Ticket kann geschlossen werden, aus unserer Sicht erledigt, es erfolgte auch keine weitere Rückmeldung oder ein Status-Update.

@Florian, Ticket kann geschlossen werden.

#7 - 2017-06-19 09:58 - hidden

- Status changed from To Be Closed to Closed
#9 - 2018-01-25 12:10 - hidden

- Project changed from 7 to Public Support

- Private changed from Yes to No
